Subject: [TR] Stabil

From: Bob <[email-masked]>
Date: Wed, 4 Nov 2020 08:01:46 -0500

Hello,

Getting ready to put the cars in for their long winter nap. In the past 
I have used the red Stabil but my mower repair guy says to use something 
else. I think he said green Stabil or maybe the blue for marine?

I looked at their website and the only green I saw was a fuel system 
cleaner, not for long storage. The blue for marine and storage up to 12 
months.

So far I have had zero problems with the Red but want to know if there 
is something better.

Thanks,

Bob

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive